﻿using C1.Win.Chart;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexChartLineStyle
{
    public partial class Form1 : Form
    {
        ObservableCollection<DataPoint> DataPoints;
        public Form1()
        {
            InitializeComponent();
            //DataPoints
            DataPoints = new ObservableCollection<DataPoint>();
            DataPoints.Add(new DataPoint() { X=0, Y1=0, Y2 = 0.5});
            DataPoints.Add(new DataPoint() { X = 10, Y1 = 0.5, Y2 = 0.2 });
            DataPoints.Add(new DataPoint() { X = 20, Y1 = 0.5, Y2 = 0.2 });
            DataPoints.Add(new DataPoint() { X = 30, Y1 = 1, Y2 = 0.5 });
            DataPoints.Add(new DataPoint() { X = 40, Y1 = 1, Y2 = 0.7 });
            DataPoints.Add(new DataPoint() { X = 50, Y1 = 0.5, Y2 = 0.1 });
            DataPoints.Add(new DataPoint() { X = 60, Y1 = 0.5, Y2 = 0.1 });
            DataPoints.Add(new DataPoint() { X = 70, Y1 = 0, Y2 = 0 });

            //Flexchart
            flexChart1.ChartType = C1.Chart.ChartType.LineSymbols;
            flexChart1.BindingX = "X";
            flexChart1.Series.Clear();

            //Series 1
            var series1 = new Series();
            series1.Binding = "Y1";
            flexChart1.Series.Add(series1);

            //Series 2
            var series2 = new Series();
            series2.Binding = "Y2";
            flexChart1.Series.Add(series2);

            //Enable Selection and Style(Selection represents by Gray Stroke
            flexChart1.SelectionMode = C1.Chart.ChartSelectionMode.Series;
            flexChart1.SelectionStyle.StrokeColor = Color.Gray;

            flexChart1.DataSource = DataPoints;
            //Customizing FlexChart Axis
            flexChart1.AxisX.MajorUnit = 5;

        }

        private void Add_Point(object sender, EventArgs e)
        {
            var random = new Random();
            DataPoints.Add(new DataPoint() { X=(DataPoints.Count==0)?0:(DataPoints.Last().X + 10), Y1= random.NextDouble(), Y2= random.NextDouble() });
        }

        private void Delete_Point(object sender, EventArgs e)
        {
            if(DataPoints.Count>0)
                DataPoints.RemoveAt(DataPoints.Count - 1);
        }
    }

    public class DataPoint
    {
        public int X { get; set; }
        public double Y1 { get; set; }
        public double Y2 { get; set; }
        
    }
}
